# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.ui.dialog.labeledElement

Extends CKEDITOR.ui.dialog.uiElement.
Defined in: plugins/dialogui/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.ui.dialog.labeledElement(dialog, elementDefinition, htmlList, contentHtml) Base class for all dialog elements with a textual label on the left.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| eventProcessors Defines the onChange event for UI element definitions.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getLabel() Retrieves the current label text of the elment.
| setLabel(label) Sets the label text of the element.

Methods borrowed from class CKEDITOR.ui.dialog.uiElement:
  accessKeyDown, accessKeyUp, disable, enable, focus, getDialog, getElement, getInputElement, getValue, isChanged, isEnabled, isFocusable, isVisible, registerEvents, selectParentTab, setValue

Class Detail
CKEDITOR.ui.dialog.labeledElement(dialog, elementDefinition, htmlList, contentHtml)
Since: 3.0
Base class for all dialog elements with a textual label on the left.

Parameters:
{CKEDITOR.dialog} dialog
  Parent dialog object.
{CKEDITOR.dialog.uiElementDefinition} elementDefinition
  The element definition. Accepted fields:
  - label (Required) The label string.
  - labelLayout (Optional) Put 'horizontal' here if the label element is to be layed out horizontally. Otherwise a vertical layout will be used.
  - widths (Optional) This applies only for horizontal layouts - an 2-element array of lengths to specify the widths of the label and the content element.
{Array} htmlList
  List of HTML code to output to.
{Function} contentHtml
  A function returning the HTML code string to be added inside the content cell.

Field Detail
{Object} eventProcessors
Since: 3.0
Defines the onChange event for UI element definitions.
Method Detail
{String} getLabel()
Since: 3.0
Retrieves the current label text of the elment.

Returns:
  {String} The current label text.

{CKEDITOR.ui.dialog.labeledElement} setLabel(label)
Since: 3.0
Sets the label text of the element.

Parameters:
{String} label
  The new label text.

Returns:
  {CKEDITOR.ui.dialog.labeledElement} The current labeled element.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.